<template>
  <el-dialog title="撞单信息" :close-on-click-modal="false" append-to-body :visible.sync="visible" width="400px" height="500">
    <div>
      <el-table :data="consultRecord">
        <el-table-column min-width="140" prop="consultTime" label="咨询日期" />
        <el-table-column min-width="140" prop="consultUserName" label="咨询人" />
      </el-table>
    </div>
  </el-dialog>
</template>
<script>
import { getConsultRecord } from '@/api/zs/clue';
export default {
  name: 'ZhuangDanDialog',
  data() {
    return {
      visible: false,
      loading: true,
      consultRecord: []
    };
  },
  methods: {
    init(info) {
      this.visible = true;
      this._getTableList(info);
    },
    _getTableList(info) {
      this.loading = true;
      getConsultRecord({ phone: info }).then((resp) => {
        if (resp && resp.code === 200 && resp.data) {
          this.consultRecord = resp.data
        }
      })
    },
  }
};
</script>

